Bug 77197 - Pine does not understand UTF-8
Pine does not understand UTF-8
Status: CLOSED DUPLICATE of bug 91232
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-11-02 17:24 EST by Petri T. Koistinen
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-27 10:03:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Actual results (14.03 KB, image/png)
2002-11-02 17:24 EST, Petri T. Koistinen
no flags Details
Expected results (14.00 KB, image/png)
2002-11-02 17:25 EST, Petri T. Koistinen
no flags Details

  None (edit)
Description Petri T. Koistinen 2002-11-02 17:24:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Pine does not understand UTF-8. If you select Finnish language, you will get
following content in /etc/sysconfig/i18n file:


Pine doesn't like this, see attached pictures. You need to enter this in that
file, so that Pine will work correctly in Finland:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Select Finnish language
2. Use pine

Actual Results:  See pine-actual-results.png

Expected Results:  See pine-expected-results.png

Additional info:
Comment 1 Petri T. Koistinen 2002-11-02 17:24:46 EST
Created attachment 83206 [details]
Actual results
Comment 2 Petri T. Koistinen 2002-11-02 17:25:43 EST
Created attachment 83207 [details]
Expected results
Comment 3 Petri T. Koistinen 2002-11-02 17:30:16 EST
Working settings for Finland:


So you don't need to modify SYSFONT as far as I know. I am sorry, it wasn't on
original report.
Comment 4 Mike A. Harris 2002-11-03 03:01:12 EST
You're correct.  Pine does not understand UTF-8.  That isn't a bug however.
It just isn't a supported feature of PINE.  The pine team is aware of this,
and hopefully will add support for UTF-8 to PINE in the future.

It is something that _must_ be done by the pine team if it is to ever be
supported in Red Hat Linux however.  We won't engineer UTF-8 support on
our own and support it.  In addition, pine is not true open source software.

Comment 5 Petri T. Koistinen 2002-11-03 06:08:55 EST
Correct: it is Pine's developers issue to add Unicode support.

I know that Pine is not licensed with GPL. Yet, I do not know any better program
for email. Do you know? I don't like mutt, althought is the politically correct
program for email. No, I can't use Evolution via ssh.

I use programs, not the licenses. As far as the license is free (as beer) for
me, it is good. I am looking forward to see GPL:ed clone of Pine. As soon as it
appears and works as good as Pine, I'll start using it. I want to enjoy, I'll
leave the pain of developing such replacement to other people who are willing to
bear the agony in sake of greater good.

Irrational argument is that Linus uses Pine. ;-)

Anyway there is work around:
Comment 6 Mike A. Harris 2002-11-03 06:28:47 EST
No, I don't know any better program for email.  I use pine myself exclusively,
and have used it since 1994.  I've yet to find a program that has all of the
features of pine that I use.  I've tried mutt, and every other possible
email client also and they all fall far short of pine for my needs - despite
what some other people prefer who like mutt/gnus/whatever.

So yes, I agree that pine is a fantastic mailer, and I use it because of that,
despite the license being evil.  That's how I got stuck maintaining the
package in the distribution after all.  ;o)

Don't hold your breath on a GPL clone of PINE though.  I've got a bit of
history there as well by trying to resurrect the GNU mana project.  It is
very extremely unlikely that a GPL clone or fork of PINE will ever
materialize at this point simply because pine - despite its horrible
license, is useable as is, and is maintained.  The legal issues with the
GNU mana fork are possible to overcome, but at this point nobody is
really interested in doing it or forking out cash for legal.

So, I'll continue to use pine, and I'll continue to maintain the rpm
package, either inside or outside of Red Hat Linux.  However, due to the
licensing of pine, I will never spend time coding new features or
enhancements to pine.  I'll only ever spend time hacking on pine to resolve
security issues that come up, or severe bugs that mandate erratum.  Any
other issues that are reported against pine, I'll defer to upstream pine

For now, the best thing to do is start pine with a non UTF-8 locale.
Comment 7 Jungshik Shin 2003-04-18 22:31:35 EDT
Perhaps, RedHat wouldn't get involved
in patching Pine to make it better support
UTF-8. Nonetheless,you might be interested
in my patch to Pine to make it a better
I18Nized mail program. I tried to convince
the Pine team that iconv(3) is widely available
(either libiconv or vendor-supplied one),
but they'd not want to use it favoring their
own converters. When are they gonna make
it a truly I18Nized MUA? I don't know.

In the mean time, mutt has come a long way
and its I18N support is fantastic although
having used Pine so long, I wouldn't return
to elm-like interface of mutt (before Pine,
I had used elm, but...)

Anyway, for details on my patch, see


I've been using my patched version of Pine 4.44
under UTF-8 terminal and it's been working 
well as a text-mode multilingual MUA. 
It still needs a lot of works, but if you
can live with a bit strange cursor movement
(because Pine is still based on 'one byte per
char. model), it's not so bad. Needless to say,
this can't be tolerated if you use the default
pico as your editor. You'd better use a
UTF-8-capable editor like Vim.

Bernhard Kaindl kindly ported my patch 
to newer Pine 4.53 and I put up his 
patch at http://jshin.net/i18n/pine4.53.iconv.patch

Comment 8 Mike A. Harris 2003-04-19 01:14:15 EDT
pine was deprecated in the Red Hat Linux release notes.  It is something that
is going to be removed, and so it doesn't make sense to make enhancements
to it that we then must maintain on our own.

Please make all pine related feature and enhancement requests directly to the
University of Washington.  the only modifications that pine will receive in
the future are security fixes in all distribution releases that currently
support pine.

Comment 9 Mike A. Harris 2003-05-20 04:32:23 EDT

*** This bug has been marked as a duplicate of 91232 ***
Comment 10 Petri T. Koistinen 2004-01-27 10:03:53 EST
The Pine is dead. Long live the Pine.

Note You need to log in before you can comment on or make changes to this bug.